/// <reference types="react" />
import { Editor, EditorInitArgs, EditorTheme, KogitoEditorEnvelopeContextType } from "@kie-tools-core/editor/dist/api";
import { Notification } from "@kie-tools-core/notifications/dist/api";
import { DashbuilderEditorChannelApi } from "./DashbuilderEditorChannelApi";
export declare class DashbuilderEditorView implements Editor {
    private readonly envelopeContext;
    private readonly initArgs;
    private readonly editorRef;
    af_isReact: boolean;
    af_componentId: "dashbuilder-editor";
    af_componentTitle: "Dashbuilder Editor";
    constructor(envelopeContext: KogitoEditorEnvelopeContextType<DashbuilderEditorChannelApi>, initArgs: EditorInitArgs);
    getElementPosition(): Promise<import("@kie-tools-core/guided-tour/dist/api").Rect>;
    setContent(path: string, content: string): Promise<void>;
    getContent(): Promise<string>;
    getPreview(): Promise<string | undefined>;
    af_componentRoot(): JSX.Element;
    undo(): Promise<void>;
    redo(): Promise<void>;
    validate(): Promise<Notification[]>;
    setTheme(theme: EditorTheme): Promise<void>;
}
//# sourceMappingURL=DashbuilderEditorView.d.ts.map