"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toolbar = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var components_1 = require("@patternfly/react-core/dist/js/components/");
require("./Toolbar.scss");
var Split_1 = require("@patternfly/react-core/dist/js/layouts/Split");
var Toolbar = function (props) {
    var _a = __read((0, react_1.useState)(props.preview), 2), previewButtonSelected = _a[0], setPreviewButtonSelected = _a[1];
    (0, react_1.useEffect)(function () { return props.onPreviewChange(previewButtonSelected); }, [props, previewButtonSelected]);
    return ((0, jsx_runtime_1.jsx)("div", __assign({ className: "toolbar ignore-onclickoutside" }, { children: (0, jsx_runtime_1.jsx)(Split_1.Split, __assign({ hasGutter: true }, { children: (0, jsx_runtime_1.jsx)(Split_1.SplitItem, { children: (0, jsx_runtime_1.jsx)(components_1.Button, __assign({ variant: "secondary", onClick: function (e) {
                        setPreviewButtonSelected(!previewButtonSelected);
                    }, ouiaId: "preview-button", className: previewButtonSelected ? "selected" : "" }, { children: "\uD83D\uDC41" }), void 0) }, void 0) }), void 0) }), void 0));
};
exports.Toolbar = Toolbar;
//# sourceMappingURL=Toolbar.js.map